> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/instance/describezoneacceleratorconfiginfos.md).

# DescribeZoneAcceleratorConfigInfos

## 1. API Description

This API (DescribeZoneAcceleratorConfigInfos) is used to query the accelerator instance types available in an availability zone and their prices.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                                                                                                                                                                                                          |
| -------------- | -------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| zoneId         | No       | String | <p>ID of the availability zone to be queried.</p><p>For example: na-us-la-2a.</p><p>If it is not specified, the accelerator instance types of all availability zones are returned.</p><p>It can be obtained by calling <a href="/api-reference/zec/location/describezones.md">DescribeZones</a>.</p> |
| instanceType   | No       | String | <p>ID of the accelerator instance type to be queried.</p><p>For example: z2a.v.T1U.c16m64.1.</p><p>If it is not specified, all instance types are returned.</p>                                                                                                                                      |

## 3. Output Parameters

| Parameter Name       | Type                                                                                              | Description                                                                                                           |
| -------------------- | ------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId            | String                                                                                            | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| instanceTypeQuotaSet | Array of [AcceleratorTypeQuotaItem](/api-reference/zec/datastructure.md#acceleratortypequotaitem) | List of accelerator instance type availability information.                                                           |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query accelerator instance types available for sale in all zones.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeZoneAcceleratorConfigInfos
<Common Request Params>

Request：
{}

Response：
{
  "requestId": "T1490DC28-BAD4-447A-9601-549EE18562BC",
  "response": {
    "requestId": "T1490DC28-BAD4-447A-9601-549EE18562BC",
    "instanceTypeQuotaSet": [
      {
        "zoneId": "asia-east-1a",
        "instanceType": "z2a.v.T1U.c16m64.1",
        "acceleratorType": "VPU",
        "cpuCount": 16,
        "memory": 64,
        "acceleratorAmount": 1,
        "instanceTypeName": "NETINT Quadra T1U",
        "bps": 10000000000,
        "pps": 1000000,
        "inventoryCapacity": "LIMITED",
        "price": {
          "discount": 100.0,
          "discountPrice": 1358.0,
          "originalPrice": 1358.0,
          "unitPrice": null,
          "discountUnitPrice": null,
          "chargeUnit": null,
          "stepPrices": null
        }
      }
    ]
  }
}
```

**2. Query accelerator instance types available for sale in a specific zone.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeZoneAcceleratorConfigInfos
<Common Request Params>

Request：
{
  "zoneId": "asia-east-1a"
}

Response：
{
  "requestId": "T1490DC28-BAD4-447A-9601-549EE18562BC",
  "response": {
    "requestId": "T1490DC28-BAD4-447A-9601-549EE18562BC",
    "instanceTypeQuotaSet": [
      {
        "zoneId": "asia-east-1a",
        "instanceType": "z2a.v.T1U.c16m64.1",
        "acceleratorType": "VPU",
        "cpuCount": 16,
        "memory": 64,
        "acceleratorAmount": 1,
        "instanceTypeName": "NETINT Quadra T1U",
        "bps": 10000000000,
        "pps": 1000000,
        "inventoryCapacity": "LIMITED",
        "price": {
          "discount": 100.0,
          "discountPrice": 1358.0,
          "originalPrice": 1358.0,
          "unitPrice": null,
          "discountUnitPrice": null,
          "chargeUnit": null,
          "stepPrices": null
        }
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                   | Description                                             |
| ---------------- | ---------------------------- | ------------------------------------------------------- |
| 404              | INVALID\_ZONE\_NOT\_FOUND    | Region does not exist.                                  |
| 400              | INVALID\_ZONE\_NOT\_ON\_SALE | Instance size is not for sale in the availability zone. |
